GoodInboxes Developers
API reference

Quote an order

POST
/api/v1/orders/quotes

Inspect owned orders, fulfillment milestones and purchase observations.

Requires separate financial enablement. No payment, stock reservation or order placement occurs at quote time. Quotes expire after 10 minutes.

Required scope: orders:write.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Scoped GoodInboxes API token

Request Body

application/json
  1. body
requestId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
sequencerProvider?string
Value in"emailbison""instantly""smartlead"
licensePlanCode?string
Length1 <= length <= 64
fulfillmentMode*string
inventoryDomainId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

data.quoteId, selections, amountCents, currency, monthlyRenewalCents, policyVersion, consentVersion and expiresAt

application/json
  1. response
data*

data.quoteId, selections, amountCents, currency, monthlyRenewalCents, policyVersion, consentVersion and expiresAt

requestId?string
curl -X POST "https://example.com/api/v1/orders/quotes" \  -H "Content-Type: application/json" \  -d '{    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",    "fulfillmentMode": "inventory",    "inventoryDomainId": "6ffa6e3a-89d2-4c48-975a-81bed2fa0974"  }'
{  "data": {},  "requestId": "string"}